Skip to main content
GET
Get list of available tokens for swaps.

Query Parameters

source_chain
null | enum<string>

If set together with source_token, return only valid target tokens. Supported blockchain networks. EVM chains serialize to their chain ID as a string (e.g. "137" for Polygon). Rootstock is "30" on a mainnet daemon and "31" on a testnet daemon.

Available options:
Arkade,
Lightning,
Bitcoin,
137,
1,
42161,
30,
31
target_chain
null | enum<string>

If set together with target_token, return only valid source tokens. Supported blockchain networks. EVM chains serialize to their chain ID as a string (e.g. "137" for Polygon). Rootstock is "30" on a mainnet daemon and "31" on a testnet daemon.

Available options:
Arkade,
Lightning,
Bitcoin,
137,
1,
42161,
30,
31

Response

200 - application/json

Return list of available tokens for swaps

btc_tokens
object[]
required
evm_tokens
object[]
required